Sam Hooke

New dependency font(:lang-en) required by fontconfig-2.10.95-11

I upgraded fontconfig on a machine that does not have internet access, from fontconfig-2.10.95-10 to fontconfig-2.10.95-11, and got the following error:

error: Failed dependencies:
        font(:lang=en) is needed by fontconfig-2.10.95-11.el7.x86_64

This dependency upon font(lang=en) was added in #1403957 (which I do not have access to) and a related bug was raised in #1484094 (which I do have access to!).

Using yum I searched for what provides the dependency:

yum provides "font(:lang=en)"

Many fonts are listed, an excerpt follows:

gnu-free-mono-fonts-20120503-8.el7.noarch : GNU FreeFont Monospaced Font
Repo        : base
Matched from:
Provides    : font(:lang=en)



gnu-free-sans-fonts-20120503-8.el7.noarch : GNU FreeFont Sans-Serif Font
Repo        : base
Matched from:
Provides    : font(:lang=en)



gnu-free-serif-fonts-20120503-8.el7.noarch : GNU FreeFont Serif Font
Repo        : base
Matched from:
Provides    : font(:lang=en)

Installing the above fonts resolves the dependency issue.

These are rough notes from whatever I was working on, interested in or thinking about at the time. They vary greatly in quality and length, but prove useful to me, and hopefully to you too!

← Previous: Installing rpms offline using a local yum repository
Next: Run Django makemigrations as tox task →